<?php
/**
 * Helper functions for the admin - plugin links and help tabs.
 *
 * @package    Xtreme One Toolbar
 * @subpackage Admin
 * @author     David Decker - DECKERWEB
 * @copyright  Copyright 2012, David Decker - DECKERWEB
 * @license    http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link       http://genesisthemes.de/en/wp-plugins/xtreme-one-toolbar/
 * @link       http://twitter.com/#!/deckerweb
 *
 * @since 1.0
 * @version 1.1
 */

add_filter( 'plugin_row_meta', 'ddw_xotb_plugin_links', 10, 2 );
/**
 * Add various support links to plugin page
 *
 * @since 1.0
 *
 * @param  $xotb_links
 * @param  $xotb_file
 * @return strings plugin links
 */
function ddw_xotb_plugin_links( $xotb_links, $xotb_file ) {

	if ( !current_user_can( 'install_plugins' ) )
		return $xotb_links;

	if ( $xotb_file == XOTB_PLUGIN_BASEDIR . '/xtreme-one-toolbar.php' ) {
		$xotb_links[] = '<a href="http://wordpress.org/extend/plugins/xtreme-one-toolbar/faq/" target="_new" title="' . __( 'FAQ', 'xtreme-one-toolbar' ) . '">' . __( 'FAQ', 'xtreme-one-toolbar' ) . '</a>';
		$xotb_links[] = '<a href="http://wordpress.org/tags/xtreme-one-toolbar?forum_id=10" target="_new" title="' . __( 'Support', 'xtreme-one-toolbar' ) . '">' . __( 'Support', 'xtreme-one-toolbar' ) . '</a>';
		$xotb_links[] = '<a href="' . __( 'http://genesisthemes.de/en/donate/', 'xtreme-one-toolbar' ) . '" target="_new" title="' . __( 'Donate', 'xtreme-one-toolbar' ) . '">' . __( 'Donate', 'xtreme-one-toolbar' ) . '</a>';
	}

	return $xotb_links;

}  // end of function ddw_xotb_plugin_links
