<?php
/**
 * Display links to theme editor for style.css & functions.php
 * Only if theme support enable and proper capabilities are set
 *
 * @package    Xtreme One Toolbar
 * @subpackage Theme Support
 * @author     David Decker - DECKERWEB
 * @copyright  Copyright 2012, David Decker - DECKERWEB
 * @license    http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link       http://genesisthemes.de/en/wp-plugins/xtreme-one-toolbar/
 * @link       http://twitter.com/#!/deckerweb
 *
 * @since 1.1
 */

/**
 * Display theme edit links if theme support is enabled
 *
 * @since 1.1
 *
 * @param $xotb_edit_themes_functions
 * @param $xotb_stylesheet_name
 */

/** WordPress 3.4+ check */
	// Is WordPress 3.4 or higher
if ( function_exists( 'wp_get_theme' ) ) {
	$xotb_edit_themes_functions = network_admin_url( 'theme-editor.php?file=functions.php&amp;theme=' . get_stylesheet() );

}
	// Is WordPress prior 3.4
else {
	$xotb_edit_themes_functions = network_admin_url( 'theme-editor.php?file=' . get_stylesheet_directory() . '/functions.php&amp;theme=' . urlencode( $xotb_stylesheet_name ) );
}  // end-if WP 3.4+ check

/** Edit child theme functions (functions.php) */
$menu_items['xochild-editfunctions'] = array(
	'parent' => $xochildsettings,
	'title'  => __( 'Edit functions.php', 'xtreme-one-toolbar' ),
	'href'   => $xotb_edit_themes_functions,
	'meta'   => array( 'target' => '', 'title' => _x( 'Edit current child theme functions: functions.php', 'Translators: For the tooltip', 'xtreme-one-toolbar' ) )
);
