<?php
/**
 * Display links to active Xtreme One plugins/extensions settings' pages
 *
 * @package    Xtreme One Toolbar
 * @subpackage Plugin/Extension Support
 * @author     David Decker - DECKERWEB
 * @copyright  Copyright 2012, David Decker - DECKERWEB
 * @license    http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link       http://genesisthemes.de/en/wp-plugins/xtreme-one-toolbar/
 * @link       http://twitter.com/#!/deckerweb
 *
 * @since 1.1
 */

/**
 * wpSEO (premium, by Sergej Müller; see: wpseo.de)
 *
 * @since 1.1
 */
if ( in_array( 'wpseo/wpseo.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) || class_exists( 'wpSEO' ) ) {
	$menu_items['extwpseosm'] = array(
		'parent' => $extensions,
		'title'  => __( 'wpSEO', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'options-general.php?page=wpseo' ),
		'meta'   => array( 'target' => '', 'title' => _x( 'wpSEO', 'Translators: For the tooltip', 'xtreme-one-toolbar' ) )
	);
	$menu_items['extwpseosm-settings'] = array(
		'parent' => $extwpseosm,
		'title'  => __( 'Settings', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'options-general.php?page=wpseo' ),
		'meta'   => array( 'target' => '', 'title' => __( 'wpSEO: Settings', 'xtreme-one-toolbar' ) )
	);
	$menu_items['extwpseosm-monitor'] = array(
		'parent' => $extwpseosm,
		'title'  => __( 'SEO Monitor', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'index.php#wpseo_misc_monitor' ),
		'meta'   => array( 'target' => '', 'title' => __( 'wpSEO: SEO Monitor', 'xtreme-one-toolbar' ) )
	);
	$menu_items['extwpseosm-helpdesk'] = array(
		'parent' => $extwpseosm,
		'title'  => __( 'Helpdesk', 'xtreme-one-toolbar' ),
		'href'   => 'http://helpdesk.wpseo.de/',
		'meta'   => array( 'title' => __( 'wpSEO: Helpdesk - Support', 'xtreme-one-toolbar' ) )
	);
}  // end-if wpSEO


/**
 * WordPress SEO by Yoast (free, by Joost de Valk)
 *
 * @since 1.1
 */
if ( defined( 'WPSEO_VERSION' ) && current_user_can( 'manage_options' ) ) {
	$menu_items['extyoastseo'] = array(
		'parent' => $extensions,
		'title'  => __( 'WordPress SEO by Yoast', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'admin.php?page=wpseo_dashboard' ),
		'meta'   => array( 'target' => '', 'title' => _x( 'WordPress SEO by Yoast - Dashboard', 'Translators: For the tooltip', 'xtreme-one-toolbar' ) )
	);
	$menu_items['extyoastseo-titles'] = array(
		'parent' => $extyoastseo,
		'title'  => __( 'Title Settings', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'admin.php?page=wpseo_titles' ),
		'meta'   => array( 'target' => '', 'title' => __( 'Title Settings', 'xtreme-one-toolbar' ) )
	);
	$menu_items['extyoastseo-index'] = array(
		'parent' => $extyoastseo,
		'title'  => __( 'Indexation', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'admin.php?page=wpseo_indexation' ),
		'meta'   => array( 'target' => '', 'title' => __( 'Indexation', 'xtreme-one-toolbar' ) )
	);
}  // end-if WordPress SEO by Yoast


/**
 * All In One SEO Pack (free, by Michael Torbert)
 *
 * @since 1.1
 */
if ( ( defined( 'AIOSEOP_VERSION' ) || ( function_exists( 'is_plugin_active' ) && is_plugin_active( 'all-in-one-seo-pack/all_in_one_seo_pack.php' ) ) ) && current_user_can( 'manage_options' ) ) {
	$menu_items['ext-aiosp'] = array(
		'parent' => $extensions,
		'title'  => __( 'All In One SEO Pack', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'options-general.php?page=all-in-one-seo-pack/aioseop.class.php' ),
		'meta'   => array( 'target' => '', 'title' => _x( 'All In One SEO Pack', 'Translators: For the tooltip', 'xtreme-one-toolbar' ) )
	);
}  // end-if All In One SEO Pack


/**
 * All In One SEO Pack Pro (premium, by Michael Torbert)
 *
 * @since 1.1
 */
if ( ( class_exists( 'All_in_One_SEO_Pack_p' ) || ( function_exists( 'is_plugin_active' ) && is_plugin_active( 'all-in-one-seo-pack-pro/all_in_one_seo_pack.php' ) ) ) && current_user_can( 'manage_options' ) ) {
	$menu_items['ext-aiosppro'] = array(
		'parent' => $extensions,
		'title'  => __( 'AIO SEO Pack Pro', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'options-general.php?page=all-in-one-seo-pack-pro/aioseop.class.php' ),
		'meta'   => array( 'target' => '', 'title' => _x( 'All In One SEO Pack Pro', 'Translators: For the tooltip', 'xtreme-one-toolbar' ) )
	);
}  // end-if All In One SEO Pack Pro


/**
 * SEO Ultimate (free, by SEO Design Solutions)
 *
 * @since 1.1
 */
if ( defined( 'SU_PLUGIN_NAME' ) && current_user_can( 'manage_options' ) ) {
	$menu_items['extseoultimate'] = array(
		'parent' => $extensions,
		'title'  => __( 'SEO Ultimate', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'admin.php?page=su-titles' ),
		'meta'   => array( 'target' => '', 'title' => _x( 'SEO Ultimate Title Settings', 'Translators: For the tooltip', 'xtreme-one-toolbar' ) )
	);
	$menu_items['extseoultimate-metadesc'] = array(
		'parent' => $extseoultimate,
		'title'  => __( 'Meta Description Editor', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'admin.php?page=su-meta-descriptions' ),
		'meta'   => array( 'target' => '', 'title' => __( 'Meta Description Editor', 'xtreme-one-toolbar' ) )
	);
	$menu_items['extseoultimate-modules'] = array(
		'parent' => $extseoultimate,
		'title'  => __( 'More Moduls &amp; Settings', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'admin.php?page=seo' ),
		'meta'   => array( 'target' => '', 'title' => __( 'More Moduls &amp; Settings', 'xtreme-one-toolbar' ) )
	);
}  // end-if SEO Ultimate


/**
 * gdHeadSpace4 (free, by Milan Petrovic at Dev4Press)
 *
 * @since 1.1
 */
if ( defined( 'GDHEADSPACE4_PATH' ) && current_user_can( 'manage_options' ) ) {
	$menu_items['extgdhs'] = array(
		'parent' => $extensions,
		'title'  => __('gdHeadSpace4', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'options-general.php?page=headspace_meta' ),
		'meta'   => array( 'target' => '', 'title' => _x( 'gdHeadSpace4 - Meta Data', 'Translators: For the tooltip', 'xtreme-one-toolbar' ) )
	);
	$menu_items['extgdhs-pagesettings'] = array(
		'parent' => $extgdhs,
		'title'  => __( 'Page Settings', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'options-general.php?page=headspace_options' ),
		'meta'   => array( 'target' => '', 'title' => __( 'Page Settings', 'xtreme-one-toolbar' ) )
	);
	$menu_items['extgdhs-pagemodules'] = array(
		'parent' => $extgdhs,
		'title'  => __( 'Page Modules', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'options-general.php?page=headspace_options&sub=modules' ),
		'meta'   => array( 'target' => '', 'title' => __( 'Page Modules', 'xtreme-one-toolbar' ) )
	);
}  // end-if gdHeadSpace4


/**
 * HeadSpace2 (free, by John Godley)
 *
 * @since 1.1
 */
if ( class_exists( 'HeadSpace2_Admin' ) && current_user_can( 'manage_options' ) ) {
	$menu_items['ext-headspace'] = array(
		'parent' => $extensions,
		'title'  => __( 'HeadSpace2', 'xtreme-one-toolbar' ),
		'href'   => admin_url( 'options-general.php?page=headspace.php' ),
		'meta'   => array( 'target' => '', 'title' => _x( 'HeadSpace2', 'Translators: For the tooltip', 'xtreme-one-toolbar' ) )
	);
}  // end-if HeadSpace2
